Rename config.h to mbedtls_config.h

This commit was generated using the following script:

# ========================
#!/bin/sh
git ls-files | grep -v '^ChangeLog' | xargs sed -b -E -i '
s/((check|crypto|full|mbedtls|query)_config)\.h/\1\nh/g
s/config\.h/mbedtls_config.h/g
y/\n/./
'
mv include/mbedtls/config.h include/mbedtls/mbedtls_config.h
# ========================

Signed-off-by: Bence Szépkúti <bence.szepkuti@arm.com>
This commit is contained in:
Bence Szépkúti 2021-05-28 09:42:25 +02:00
parent 2893269cbb
commit bb0cfeb2d4
71 changed files with 127 additions and 127 deletions

View file

@ -1,6 +1,6 @@
#!/bin/sh
# Generate doxygen documentation with a full config.h (this ensures that every
# Generate doxygen documentation with a full mbedtls_config.h (this ensures that every
# available flag is documented, and avoids warnings about documentation
# without a corresponding #define).
#
@ -24,7 +24,7 @@
set -eu
CONFIG_H='include/mbedtls/config.h'
CONFIG_H='include/mbedtls/mbedtls_config.h'
if [ -r $CONFIG_H ]; then :; else
echo "$CONFIG_H not found" >&2

View file

@ -26,14 +26,14 @@ import os
import re
class Setting:
"""Representation of one Mbed TLS config.h setting.
"""Representation of one Mbed TLS mbedtls_config.h setting.
Fields:
* name: the symbol name ('MBEDTLS_xxx').
* value: the value of the macro. The empty string for a plain #define
with no value.
* active: True if name is defined, False if a #define for name is
present in config.h but commented out.
present in mbedtls_config.h but commented out.
* section: the name of the section that contains this symbol.
"""
# pylint: disable=too-few-public-methods
@ -321,7 +321,7 @@ class ConfigFile(Config):
and modify the configuration.
"""
_path_in_tree = 'include/mbedtls/config.h'
_path_in_tree = 'include/mbedtls/mbedtls_config.h'
default_path = [_path_in_tree,
os.path.join(os.path.dirname(__file__),
os.pardir,
@ -363,7 +363,7 @@ class ConfigFile(Config):
_config_line_regexp = re.compile(r'|'.join([_define_line_regexp,
_section_line_regexp]))
def _parse_line(self, line):
"""Parse a line in config.h and return the corresponding template."""
"""Parse a line in mbedtls_config.h and return the corresponding template."""
line = line.rstrip('\r\n')
m = re.match(self._config_line_regexp, line)
if m is None:
@ -384,7 +384,7 @@ class ConfigFile(Config):
return template
def _format_template(self, name, indent, middle):
"""Build a line for config.h for the given setting.
"""Build a line for mbedtls_config.h for the given setting.
The line has the form "<indent>#define <name> <value>"
where <middle> is "#define <name> ".
@ -428,7 +428,7 @@ class ConfigFile(Config):
if __name__ == '__main__':
def main():
"""Command line config.h manipulation tool."""
"""Command line mbedtls_config.h manipulation tool."""
parser = argparse.ArgumentParser(description="""
Mbed TLS and Mbed Crypto configuration file manipulation tool.
""")

View file

@ -1,5 +1,5 @@
/*
* Query Mbed TLS compile time configurations from config.h
* Query Mbed TLS compile time configurations from mbedtls_config.h
*
* Copyright The Mbed TLS Contributors
* SPDX-License-Identifier: Apache-2.0
@ -30,7 +30,7 @@
/*
* Include all the headers with public APIs in case they define a macro to its
* default value when that configuration is not set in the config.h.
* default value when that configuration is not set in the mbedtls_config.h.
*/
#include "mbedtls/aes.h"
#include "mbedtls/aria.h"

View file

@ -24,7 +24,7 @@
set -eu
CONFIG_H='include/mbedtls/config.h'
CONFIG_H='include/mbedtls/mbedtls_config.h'
if [ -r $CONFIG_H ]; then :; else
echo "$CONFIG_H not found" >&2
@ -37,7 +37,7 @@ if grep -i cmake Makefile >/dev/null; then :; else
fi
if git status | grep -F $CONFIG_H >/dev/null 2>&1; then
echo "config.h not clean" >&2
echo "mbedtls_config.h not clean" >&2
exit 1
fi

View file

@ -126,7 +126,7 @@ int main()
}
if ( grp.T == NULL ) {
fprintf( stderr, "grp.T is not generated. Please make sure"
"MBEDTLS_ECP_FIXED_POINT_OPTIM is enabled in config.h\n" );
"MBEDTLS_ECP_FIXED_POINT_OPTIM is enabled in mbedtls_config.h\n" );
return 1;
}
dump_T( &grp );

View file

@ -21,7 +21,7 @@
# configurations, when built for a Cortex M3/M4 target.
#
# Configurations included:
# default include/mbedtls/config.h
# default include/mbedtls/mbedtls_config.h
# thread configs/config-thread.h
# suite-b configs/config-suite-b.h
# psk configs/config-ccm-psk-tls1_2.h
@ -30,7 +30,7 @@
#
set -eu
CONFIG_H='include/mbedtls/config.h'
CONFIG_H='include/mbedtls/mbedtls_config.h'
if [ -r $CONFIG_H ]; then :; else
echo "$CONFIG_H not found" >&2
@ -112,7 +112,7 @@ log "mbed TLS $MBEDTLS_VERSION$GIT_VERSION"
log "$( arm-none-eabi-gcc --version | head -n1 )"
log "CFLAGS=$ARMGCC_FLAGS"
doit default include/mbedtls/config.h
doit default include/mbedtls/mbedtls_config.h
doit thread configs/config-thread.h
doit suite-b configs/config-suite-b.h
doit psk configs/config-ccm-psk-tls1_2.h

View file

@ -51,7 +51,7 @@ close(FORMAT_FILE);
$/ = $line_separator;
open(CONFIG_H, '<:crlf', "$include_dir/config.h") || die("Failure when opening config.h: $!");
open(CONFIG_H, '<:crlf', "$include_dir/mbedtls_config.h") || die("Failure when opening mbedtls_config.h: $!");
my $feature_defines = "";
my $in_section = 0;

View file

@ -8,9 +8,9 @@
# the library, for example, for testing.
#
# The query_config.c is generated from the current configuration at
# include/mbedtls/config.h. The idea is that the config.h contains ALL the
# include/mbedtls/mbedtls_config.h. The idea is that the mbedtls_config.h contains ALL the
# compile time configurations available in Mbed TLS (commented or uncommented).
# This script extracts the configuration macros from the config.h and this
# This script extracts the configuration macros from the mbedtls_config.h and this
# information is used to automatically generate the body of the query_config()
# function by using the template in scripts/data_files/query_config.fmt.
#
@ -33,7 +33,7 @@
use strict;
my $config_file = "./include/mbedtls/config.h";
my $config_file = "./include/mbedtls/mbedtls_config.h";
my $query_config_format_file = "./scripts/data_files/query_config.fmt";
my $query_config_file = "./programs/test/query_config.c";

View file

@ -23,7 +23,7 @@
set -eu
CONFIG_H='include/mbedtls/config.h'
CONFIG_H='include/mbedtls/mbedtls_config.h'
CLIENT='mini_client'
@ -46,7 +46,7 @@ if [ $( uname ) != Linux ]; then
fi
if git status | grep -F $CONFIG_H >/dev/null 2>&1; then
echo "config.h not clean" >&2
echo "mbedtls_config.h not clean" >&2
exit 1
fi